local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireEntity = ____shouldFire.shouldFireEntity
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostEntityKillFilter = __TS__Class()
local PostEntityKillFilter = ____exports.PostEntityKillFilter
PostEntityKillFilter.name = "PostEntityKillFilter"
__TS__ClassExtends(PostEntityKillFilter, CustomCallback)
function PostEntityKillFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireEntity
    self.postEntityKill = function(____, entity)
        self:fire(entity)
    end
    self.callbacksUsed = {{ModCallback.POST_ENTITY_KILL, self.postEntityKill}}
end
return ____exports
